#import "ViewController.h"

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];

    [[self view] setBackgroundColor:[UIColor systemBackgroundColor]];

    UISearchController *searchController = [[UISearchController alloc] initWithSearchResultsController:nil];
    [[searchController searchBar] setPlaceholder:@"Search Dictionary"];
    [[searchController searchBar] setShowsCancelButton:NO];
    [[searchController searchBar] setAutocapitalizationType:UITextAutocapitalizationTypeNone];
    [[searchController searchBar] setDelegate:self];

    [[self navigationItem] setSearchController:searchController];
}


- (void)viewDidAppear:(BOOL)animated {
    [super viewDidAppear:animated];

    [[[[self navigationItem] searchController] searchBar] becomeFirstResponder];
}




#pragma mark - UISearchBarDelegate protocol

- (void)searchBarSearchButtonClicked:(UISearchBar *)searchBar {
    NSString *term = [[searchBar text] stringByTrimmingCharactersInSet:[NSCharacterSet whitespaceCharacterSet]];
    UIReferenceLibraryViewController *referenceLibraryViewController = [[UIReferenceLibraryViewController alloc] initWithTerm:term];
    [referenceLibraryViewController setTransitioningDelegate:self];
    [self presentViewController:referenceLibraryViewController animated:YES completion:nil];
}




#pragma mark - UIViewControllerTransitioningDelegate protocol

- (nullable id <UIViewControllerAnimatedTransitioning>)animationControllerForDismissedController:(UIViewController *)dismissed {
    [[[[self navigationItem] searchController] searchBar] becomeFirstResponder];
    return nil;
}

@end
